Skip to main content
POST
Update a status page

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Path Parameters

statusPageId
integer
required

ID of the status page to update

Body

Status page request, sent as JSON or as multipart/form-data to upload logos and favicons. With multipart/form-data, booleans must be sent as 1 or 0 and nested fields with the bracket notation, e.g. components[0][componentable_id].

name
string

Status page name

Required string length: 2 - 30
Example:

"Phare status"

subdomain
string

Subdomain name for the status page, hosted on a phare.io domain: {subdomain}.status.phare.io

Required string length: 2 - 30
Example:

"example"

domain
string | null

Custom domain name for the status page

Required string length: 4 - 60
Example:

"status.example.com"

title
string

Status page HTML title

Required string length: 2 - 150
Example:

"Phare status"

description
string

Status page HTML description

Required string length: 2 - 250
Example:

"Status page of phare.io"

search_engine_indexed
boolean

Whether search engines are allowed to index the page

Example:

true

website_url
string

URL to redirect users clicking the status page logo

Maximum string length: 250
Example:

"https://phare.io"

color_scheme
enum<string>
default:all

Choose the available color schemes for the status page

Available options:
all,
dark,
light
Example:

"all"

theme
object

Theme settings to customize the status page

components
(Monitor component · object | Group component · object)[]

List of components to show on the status page. A monitor can only be shown once on a status page.

Required array length: 1 - 100 elements
timeframe
enum<integer>

Number of days of status and incident history to display.

Available options:
30,
60,
90
Example:

90

show_response_times
boolean
default:true

Whether to display response times for monitors on the status page

Example:

true

timezone
string
default:UTC

Timezone used to split the status page timeline into days and to display all dates on the status page and in feeds. Must be a canonical IANA timezone identifier (case-sensitive, e.g. Europe/Paris, America/New_York or UTC).

Example:

"Europe/Paris"

subscription_channels
enum<string>[]

List of active subscription channels

Maximum array length: 3
Available options:
rss,
atom,
slack
access_ips
string[] | null

List of IP addresses or CIDR ranges allowed to access the status page. Requires an active Scale plan subscription.

Required array length: 1 - 50 elements
tags
string[] | null

Resource tags, made of lowercase letters, numbers, ., _, : and -. An organization can have up to 200 tags.

Maximum array length: 20
Required string length: 1 - 100
logo_light

Light theme logo of the status page (accepted formats: jpeg / png / svg, max size: 1MB). Files can only be uploaded with a multipart/form-data request, send false to remove the logo.

logo_dark

Dark theme logo of the status page (accepted formats: jpeg / png / svg, max size: 1MB). Files can only be uploaded with a multipart/form-data request, send false to remove the logo.

favicon_light

Light theme favicon of the status page (accepted formats: jpeg / png / svg, max size: 1MB, square image). Files can only be uploaded with a multipart/form-data request, send false to remove the favicon.

favicon_dark

Dark theme favicon of the status page (accepted formats: jpeg / png / svg, max size: 1MB, square image). Files can only be uploaded with a multipart/form-data request, send false to remove the favicon.

access_token
string | null

Token to restrict access to the status page. Requires an active Scale plan subscription.

Required string length: 8 - 500
Example:

"secret"

access_password
string | null

Password to restrict access to the status page. Requires an active Scale plan subscription.

Required string length: 8 - 500
Example:

"secret"

Response

Success, status page updated

name
string
required

Status page name

Required string length: 2 - 30
Example:

"Phare status"

subdomain
string
required

Subdomain name for the status page, hosted on a phare.io domain: {subdomain}.status.phare.io

Required string length: 2 - 30
Example:

"example"

title
string
required

Status page HTML title

Required string length: 2 - 150
Example:

"Phare status"

description
string
required

Status page HTML description

Required string length: 2 - 250
Example:

"Status page of phare.io"

search_engine_indexed
boolean
required

Whether search engines are allowed to index the page

Example:

true

website_url
string
required

URL to redirect users clicking the status page logo

Maximum string length: 250
Example:

"https://phare.io"

components
(Monitor component · object | Group component · object)[]
required

List of components to show on the status page. A monitor can only be shown once on a status page.

Required array length: 1 - 100 elements
timeframe
enum<integer>
required

Number of days of status and incident history to display.

Available options:
30,
60,
90
Example:

90

id
integer

Status page ID

Example:

1

project_id
integer

Parent project ID

Example:

1

is_private
boolean

Whether access to the status page is restricted by a password, a secret token or an IP allowlist

Example:

false

access_password_enabled
boolean

Whether the status page is protected by a password. Requires an active Scale plan subscription.

Example:

false

access_token_enabled
boolean

Whether the status page is protected by a secret token. Requires an active Scale plan subscription.

Example:

false

domain
string | null

Custom domain name for the status page

Required string length: 4 - 60
Example:

"status.example.com"

color_scheme
enum<string>
default:all

Choose the available color schemes for the status page

Available options:
all,
dark,
light
Example:

"all"

theme
object

Theme settings to customize the status page

show_response_times
boolean
default:true

Whether to display response times for monitors on the status page

Example:

true

timezone
string
default:UTC

Timezone used to split the status page timeline into days and to display all dates on the status page and in feeds. Must be a canonical IANA timezone identifier (case-sensitive, e.g. Europe/Paris, America/New_York or UTC).

Example:

"Europe/Paris"

subscription_channels
enum<string>[]

List of active subscription channels

Maximum array length: 3
Available options:
rss,
atom,
slack
access_ips
string[] | null

List of IP addresses or CIDR ranges allowed to access the status page. Requires an active Scale plan subscription.

Required array length: 1 - 50 elements
tags
string[] | null

Resource tags, made of lowercase letters, numbers, ., _, : and -. An organization can have up to 200 tags.

Maximum array length: 20
Required string length: 1 - 100
created_at
string<date-time>

Date of creation for the entity

updated_at
string<date-time>

Date of last update for the entity

Last modified on February 8, 2026